## ros-humble-create-bringup 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(create_bringup)

find_package(ament_cmake REQUIRED)

install(DIRECTORY config launch
  DESTINATION share/${PROJECT_NAME}
  PATTERN ".svn" EXCLUDE
)

ament_package()

=== debian/changelog ===
ros-humble-create-bringup (3.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Sun, 21 May 2023 07:00:00 -0000

ros-humble-create-bringup (3.0.0-1jammy) jammy; urgency=high

  * Add execution time dependency on launch_xml
  * Update maintainer email
  * Updated README (#101 <https://github.com/autonomylab/create_robot/issues/101>)
  * Correct create driver node name in parameters YAML (#79 <https://github.com/autonomylab/create_robot/issues/79>)
  * Fix description launch files includes (#74 <https://github.com/autonomylab/create_robot/issues/74>)
  * Fix joy_teleop config files (#73 <https://github.com/autonomylab/create_robot/issues/73>)
  * Port to ROS 2 (foxy) (#8 <https://github.com/autonomylab/create_robot/issues/8>)
  * Move launch and config files to create_bringup
  * Update maintainer info
  * Rename packages for clarity
    Originally the packages were named as 'create_autonomy', with the 'ca_' suffix for short.
    This was due to a name conflict with the turtlebot packages (e.g. create_driver and create_description):
    https://github.com/turtlebot/turtlebot_create.git
    Since the turtlebot packages are not released into ROS Melodic, the plan is to release these packages instead.
    If the turtlebot packages are eventually released, it should be straightforward to adapt them to use the
    description and driver packages here.
    Summary of renaming:
    * create_autonomy -> create_robot
    * ca_description -> create_description
    * ca_driver -> create_driver
    * ca_msgs -> create_msgs
    * ca_tools -> create_bringup
  * Contributors: Jacob Perron, Pedro Grojsgold, coderkarl, selimxsuha

 -- Jacob Perron <jacobmperron@gmail.com>  Sat, 13 May 2023 07:00:00 -0000

ros-humble-create-bringup (1.3.0-1jammy) jammy; urgency=high

  * Migrate to package.xml format 2
    
    Minor linting to package files.
  * Update install rules
  * Refactor launch files and expose robot base and odometry frame IDs as parameters
  * Refactor CMakeLists.txt and package.xml files and add missing install rules
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Sun, 10 Jun 2018 07:00:00 -0000

ros-humble-create-bringup (1.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Fri, 07 Oct 2016 07:00:00 -0000

ros-humble-create-bringup (1.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Sat, 23 Jul 2016 07:00:00 -0000

ros-humble-create-bringup (1.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Tue, 24 May 2016 07:00:00 -0000

ros-humble-create-bringup (1.0.0-1jammy) jammy; urgency=high

  * Fix typo in joy_teleop.launch
  * Rename 'create_driver' and 'create_tools' to 'ca_driver' and 'ca_tools'
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Fri, 01 Apr 2016 07:00:00 -0000

ros-humble-create-bringup (0.4.0-1jammy) jammy; urgency=high

  * Update teleop configurations files
  * Add configuration file for Logitech F710 controller
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Sat, 26 Mar 2016 07:00:00 -0000

ros-humble-create-bringup (0.3.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Thu, 17 Mar 2016 07:00:00 -0000

ros-humble-create-bringup (0.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacobmperron@gmail.com>  Thu, 03 Mar 2016 08:00:00 -0000

ros-humble-create-bringup (0.1.0-1jammy) jammy; urgency=high

  * Updated create_tools package
  * Switch to using node handle with private namespace for parameters only
  * Added create_tools with teleop launch and config files
  * Contributors: Jacob Perron

 -- Jacob Perron <jacobmperron@gmail.com>  Fri, 05 Feb 2016 08:00:00 -0000

=== debian/control ===
Source: ros-humble-create-bringup
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacobmperron@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/create_bringup
Standards-Version: 3.9.2

Package: ros-humble-create-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-create-description, ros-humble-create-driver, ros-humble-joy, ros-humble-joy-teleop, ros-humble-launch-xml, ros-humble-ros-workspace
Description: Launch and configuration files for common accessories when working with Create/Roomba platforms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-create-bringup//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
